Get transaction summaries
GET
Retrieves summary information for an account's on-chain committed transactions (both sequence-number-based and unordered transactions). Each transaction summary includes sender address, transaction hash, version, and replay protection nonce.
- If start_version is provided, transaction summaries starting from that version are returned.
- If start_version is not provided and only end_version is provided, transaction summaries ending at end_version are returned.
- If both start_version and end_version are not provided, the account's most recent committed transaction summary is returned.
- Output is always composed of transaction summaries sorted in ascending order by version.
- To query pending transactions, use the Get Transaction by Hash API.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.addressstringrequired
The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.Query Parameters
limitinteger
The maximum number of account modules to fetch.If no value is provided, the default page size is used.startstring
A cursor that specifies the starting position for pagination.This cursor cannot be arbitrarily generated on the client side. You must first call this endpoint without specifying this query parameter, then use the cursor returned in the X-Aptos-Cursor header of the response.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/accounts/0x1/transaction_summaries?start=0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'